<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."ticker_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."ticker_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."infusion_title/locale/English.php";
}


if(isset($_POST['btn_cancel'])){
	header("Location: ".$PHP_SELF);
}
if($action=="delete"){
    opentable($locale['zit_002']);
    $result=dbquery("DELETE FROM ".$db_prefix."ticker WHERE ticker_id='$ticker_id'");
    echo "<center><br".$locale['zit_006']."><br><br>\n";
    echo "<a href=\"ticker_admin.php\">".$locale['zit_006']."</a><br><br>
    <br><br></center>\n";

    closetable();
    require_once BASEDIR."footer.php";
}else{
    if(isset($_POST['btn_save'])){
		$w_text=addslashes($ticker_text);

        if($action=="edit"){
        	$result=dbquery("UPDATE ".$db_prefix."ticker SET ticker_text='$w_text' WHERE ticker_id='$ticker_id'");
        }else{
    		if( $w_text != '' ) {
     			$result=dbquery("INSERT INTO ".$db_prefix."ticker VALUES('', '$w_text')");
     		}
     	}
     	unset($action, $ticker_text, $ticker_id, $w_text);
	}
    if ($action == "edit") {
		$result=dbquery("SELECT * FROM ".$db_prefix."ticker WHERE ticker_id='$ticker_id'");
    	$data=dbarray($result);
        $w_id=$data[ticker_id];
        $w_text=stripslashes($data[ticker_text]);
        $formaction = "$PHP_SELF?action=edit&ticker_id=$w_id";// $formaction = "$PHP_SELF?action=edit&ticker_id=$data[ticker_id]";
        opentable($locale['zit_003']);
    } else {
        $formaction = "$PHP_SELF";
        opentable($locale['zit_004']);
    }
    echo "<table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" class=\"body\">\n";
    echo "<form name=\"frm_ticker\" method=\"post\" action=\"$formaction\">\n";
    echo "<tr><td align=\"right\">ID:</td><td><input type=\"textbox\" name=\"ticker_id\"
    value=\"$w_id\" class=\"textbox\" style=\"width:50px;\" disabled=\"false\"></td></tr>\n";
    echo "<tr><td align=\"right\" valign=\"top\">".($locale['zit_008'])."</td><td><textarea name=\"ticker_text\"
    class=\"textbox\" style=\"width:300px; height:70px;\">$w_text</textarea></td></tr>\n";
    echo "<tr><td align=\"center\" colspan=\"2\"><input type=\"submit\" name=\"btn_save\"
    value=\"".($locale['zit_010'])."\" class=\"button\" style=\"width:105px;\"> <input type=\"submit\"
    name=\"btn_cancel\" value=\"".($locale['zit_011'])."\" class=\"button\" style=\"width:80px;\"></td></tr>\n";
    echo "</form></table>\n";
    closetable();
    tablebreak();
    opentable($locale['zit_005']);
    $result = dbquery("SELECT * FROM ".$db_prefix."ticker ORDER BY ticker_id");

    if(dbrows($result)!=0){
        echo "<table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" class=\"body\">\n";
        echo "<tr><td class=\"altbg\" align=\"center\">".($locale['zit_012'])."</td><td width=\"20\" align=\"right\"></td><td width=\"20\" align=\"right\"></td><td class=\"altbg\" align=\"center\">".($locale['zit_013'])."</td></tr>\n";
        $r=0;
        while($data=dbarray($result)){
            $w_id=$data[ticker_id];
            $w_text=stripslashes($data[ticker_text]);

            if(strlen($w_text)>100){$w_text=substr($w_text,0,(100-3))."...";}

			if(($r%2)==0){echo"<tr class=\"forum1\">";}else{echo"<tr class=\"forum2\">";}

			echo "<td valign=\"top\"><a href=\"$PHP_SELF?action=edit&ticker_id=$w_id\">$w_text</a>
			</td>\n";
            echo "<td width=\"25\" align=\"left\"></td>\n";
            echo "<td width=\"25\" align=\"left\"></td>\n";
            echo "<td align=\"right\"><a href=\"$PHP_SELF?action=delete&ticker_id=$w_id\">lschen</a></td></tr>\n";
            $r++;
		}


		echo "</table>\n";
	}
	else {
		echo "<center>Keine News im Ticker!</center>\n</table>\n  ";
	}
	closetable();
	echo "</td>\n";
	require_once BASEDIR."footer.php";
}
?>